<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (C) 2016 The Android Open Source Project

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->
<configuration
    description="Runs a test plan from Afw Test Harness installation">

    <build_provider class="com.android.compatibility.common.tradefed.build.CompatibilityBuildProvider" />
    <option name="compatibility-build-provider:plan" value="cts"/>
    <device_recovery class="com.android.tradefed.device.WaitDeviceRecovery" >
        <option name="device-wait-time" value="480000"/>
        <option name="bootloader-wait-time" value="60000"/>
        <option name="shell-wait-time" value="60000"/>
    </device_recovery>
    <test class="com.android.afwtest.tradefed.testtype.AfwTest">
        <option name="screenshot-on-failure" value="true"/>
        <option name="screenshot" value="true"/>
        <option name="bugreport-on-failure" value="true"/>
        <option name="primary-abi-only" value="true"/>
        <option name="skip-all-system-status-check" value="true"/>
    </test>
    <logger class="com.android.tradefed.log.FileLogger" />
    <result_reporter class="com.android.compatibility.common.tradefed.result.ConsoleReporter" />
    <result_reporter class="com.android.compatibility.common.tradefed.result.ResultReporter" />

    <!-- Retry logic is overwritten in AfwTestWifiPreparer. Please use its wifi-attempts
         option directly. -->
    <option name="wifi-attempts" value="1" />
    <option name="wifi-retry-wait-time" value="30000" />

    <target_preparer class="com.android.tradefed.targetprep.RunCommandTargetPreparer">
        <option name="run-command" value="rm -rf /sdcard/device-info-files" />
        <option name="run-command" value="rm -rf /sdcard/report-log-files" />
    </target_preparer>

    <target_preparer class="com.android.compatibility.common.tradefed.targetprep.DeviceInfoCollector">
        <option name="apk" value="CtsDeviceInfo.apk"/>
        <option name="package" value="com.android.compatibility.common.deviceinfo"/>
        <option name="src-dir" value="/sdcard/device-info-files/"/>
        <option name="dest-dir" value="device-info-files/"/>
        <option name="temp-dir" value="temp-device-info-files/"/>
    </target_preparer>

</configuration>
